#define NALLOC	1024			/* minimum #units to request */
typedef long Align;			/* for alignment to long boundary */
union header {				/* block header */
	struct {
		union header *ptr;	/* next block if on free list */
		unsigned size;		/* size of this block */
	} s;
	Align x;			/* force alignment of blocks */
};
typedef union header Header;

//static Header base;			/* empty list to get started */
//static Header *freep = NULL;		/* start of free list */

static Header *morecore(unsigned nu);
static void *malloc(unsigned nbytes);
static void free(void *ap);
